# WiFiBoy32 IO Pins Callback test
#
# Set IO pin to callback functions
# This is good for game key controls
#
import time

def callback(p):
  print(p, 'changed.')
  time.sleep(0.01)
  
  
from machine import Pin
p34 = Pin(34, Pin.IN) # Key B
p35 = Pin(35, Pin.IN) # Key A

p34.irq(trigger=Pin.IRQ_FALLING, handler=callback) # Pressed
p35.irq(trigger=Pin.IRQ_RISING | Pin.IRQ_FALLING, handler=callback) # Pressed & Released
